Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.compiler
Interface Compiler

All Superinterfaces:
  BaseCompiler, InterpCompiler, Types

    public interface Compiler

extends InterpCompiler

Language-independent compiler interface for the Squawk JVM.

Field Summary

Fields inherited from interface com.sun.squawk.compiler.BaseCompiler
`C_DYNAMIC, C_JVM, C_JVM_DYNAMIC, C_NORMAL, E_ADDRESS, E_NONE, E_NULL, E_REGISTER, P_HIGH, P_LOW, P_MEDIUM`

Fields inherited from interface com.sun.squawk.compiler.Types
`BYTE, DOUBLE, FLOAT, INT, IP, LONG, LP, MP, OOP, REF, RELOC_ABSOLUTE_INT, RELOC_RELATIVE_INT, SHORT, SS, UBYTE, UINT, ULONG, USHORT, UWORD, VOID, WORD`

Method Summary

Methods inherited from interface com.sun.squawk.compiler.InterpCompiler
`alloca, framePointer, getFramePointerByteOffset, getIPOffset, getJumpByte, getJumpSize, getLPOffset, getMPOffset, local, local, parm, parm, peekReceiver, stackCheck, store, write`

Methods inherited from interface com.sun.squawk.compiler.BaseCompiler
`add, and, begin, bf, bf, bind, br, br, bt, bt, call, call, call, call, cmpg, cmpl, com, comment, compile, convert, data, deadCode, decode, div, drop, dumpAll, dup, dupReceiver, end, enter, enter, enter, enter, eq, force, ge, getCode, getCodeSize, getFixupInfo, getLocalCount, getRelocationInfo, gt, isBigEndian, jump, label, le, leave, leave, literal, literal, literal, literal, literal, literal, literal, load, loadParm, loadsMustBeAligned, lt, mul, ne, neg, or, pop, popAll, push, read, rem, result, ret, ret, shl, shr, storeParm, sub, swap, swapAll, swapForABI, symbol, tableSwitchEndPadding, tableSwitchPadding, tosType, ushr, xor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"